#!/bin/bash

# set sane defaults
IFS=$' \t\n'
export LANG=C
export LC_NUMERIC=C
export LC_TIME=C

syntax()
{
  printf 'syntax: op5 log sort [human]\n'
  exit $1
}

[ -n "$2" ] && syntax 1
[ "$1" == '-h' ] && syntax 0
[ "$1" == '--help' ] && syntax 0

# -b = Ignore prefixing whitespace
# -k = Key to sort by.
#        StartToken[.StartCharInToken][,EndToken[.EndCharInToken]
# -s = Stable sort.
#        Just sort by the specified keys - keep the rest as it was input.

if [ "$1" == 'human' ]; then
  sort -b -k 1.2,3 -s
else
  sort -b -k 1.2,1 -s
fi
